# Privacy

Privacy means the ability of an individual to hide sensitive information about himself. From now on we'll only refer to the digital privacy (privacy with respect to computers, e.g. on the [Internet](internet.md)).

In [LRS](lrs.md) the view on privacy differs from that of most [free software](free_software.md), [hacker](hacker.md) and [suckless](suckless.md) communities: to us privacy is a form of [censorship](censorhip.md) and as such is seen as inherently bad. We dream of a world without abuse where (digital) privacy is not needed because society has adopted our philosophy of information freedom, non-violence and non-competition and there is no threat of sensitive information abuse. Even though we know this utopian goal is unreachable, we try to at least get close to it by restricting ourselves to bare minimum privacy (so we are very open but won't e.g. publish our passwords). We believe that abuse of sensitive information is an issue of the basic principles of our society (e.g. capitalism) and should be addressed by fixing these issues rather than by harmful methods such as censorship.

Digital privacy can be further categorized. We can talk e.g. about **communication privacy** (emails, chat, ...), **data privacy** (cookies, tracking, medical data, ...), **personal privacy** (intimate photos, sexual orientation, ... ), **individual privacy** (identifying information, anonymity, spam, ...) etc.

Privacy is closely related to [cryptography](cryptography.md), as encryption is how information can be "protected" against reaching unauthorized entities, and to [free software](free_software.md), as using safe tools with available source code is crucial to avoid malware. Still, to achieve high privacy additional appropriate behavior has to be adopted, e.g. protection against [spyware](spyware.md), using proxies and/or onion routing, turning off browser [cookies](cookie.md), avoiding fingerprinting, avoiding [social networks](social_network.md), avoiding revealing potentially identifying information etc.