# Selflessness

Selflessness is the opposite of [self interest](self_interest.md). That is: being selfless means acting in ways that help everyone as opposed to oneself. Under our definition *everyone* also includes *self*, so selflessness doesn't mean not helping oneself -- helping self is okay as long as it also helps everyone else equally or more.

Selflessness is extremely important in [LRS](lrs.md): our technology must be maximally helpful to everyone which excludes any malicious features such as [proprietary code](proprietary.md), [bloat](bloat.md), [ads](ad.md), legal conditions (even [free](free_software.md)), [spyware](spyware.md) and other malware or anything that makes the program worse for the general user in order to specially benefit the program's author.

This is in stark contrast with [capitalist software](capitalist_software.md) that's by definition made solely for its creator's profit and is only as helpful to others as that serves the ultimate goal.

## Money

The greatest challenge of selfless software is its development under capitalist society which is highly hostile to selflessness by its strict application of the tyranny of economy onto all areas. In a better society where humans would be free to invest their time freely the issue wouldn't be present; sadly most people are slaves forced to work every day for their food and therefore prevented from creating anything that doesn't bring them money.

So, under current conditions, we have to ask: **Can we charge money for selfless software?** Here we give an answer similar to that of [free software](free_software.md): **It is not wrong to collect money for software as long as this doesn't limit its users, i.e. only completely optional payment is acceptable.** This is in accordance with our definition of selflessness: with optional payment the technology doesn't get worse for anyone and its author simply gets basic resources (food, water, ...) from people who can afford and are willing to share them, by means compatible with the current socioeconomic system. By this we at least somewhat simulate the ideal society in which people do what they truly want because they get basic resources for living.

But **BEWARE**: charging money, even optionally, may introduce subconscious bias towards wanting to earn more and implementing malicious features, and so **it is better to not ask money if it's not needed**, for example if the author already has enough money for comfortable living. By staying completely non-commercial it is better assured the goal remains pure.

## Recommendations

Try to follow this advice in order to achieve high selflessness of your technology:

- **Use [public domain](public_domain.md) waiver** (such as [CC0](cc0.md)), do NOT try to "own" your software in any way and do NOT use licenses with conditions such as attribution, do not seek fame (if your software is good, you will become famous anyway, even without any attribution conditions). This doesn't mean you have to stay anonymous, that can in many situations be worse for everyone.
- **Do not charge money** for the program if you don't have to, and if you do, **make the payment completely optional**.
- **Always have the definition of selflessness on your mind** and from time to time ask yourself whether you're still faithful to it. Ask yourself what's the true goal of your project.