# Wiki Style

This outlines the style and rules of this Wiki that should ensure "quality" and consistency. You should read this before contributing.

If you contribute, add yourself to [wiki authors](wiki_authors.md)! You can also join us on the [Island](island.md).

## Rules

1. **Everything is public domain** under CC0 to which all contributors agree. No one owns what we write here.
2. **No fair use** or even unfrair use. We want this Wiki to be as free as possible and don't thread the fine legal lines. That means you can't directly include anything on this Wiki if it's copyrighted, **even if it's under a free license**. So generally **avoid any copy pasting and rather try to write everything yourself**.
3. **Stay on topic**, this Wiki is **CENSORED**: spam, too much of completely non-related text, shitty things and things going against our thing will not be included.

## Style

- **Don't line-break paragraphs** (a pragraph is on a single line). The reasoning is that a text manually formatted to specific width is hard to edit. It's easier to switch to auto-line breaking in your editor.
- **Each page shall start with a heading** (which may not correspond to article file name).
- **Filenames of articles should use a lowercrase snake_case**.
- **This isn't Wikipedia**, memes and opinions are allowed (and welcome). However don't do things like hard pushing political and other ideas that aren't immediately tied to our thing (e.g. Trump good and Trump bad has nothing to do with our tech). We want this to be about good technology and we invite all people regardless of political opinions to create our kind of technology (of course some politics inevitably follows from our ideas).
- The style of this wiki is **inspired by the famous [WikiWikiWeb](http://wiki.c2.com/?WikiWikiWeb)**.
- Images: TODO (what images can we link to? how many images do we even want here?).
- **You can leave comments right in the text of articles**, e.g. like this: {I disagree with this shit. ~drummyfish}.

## Purpose

Basically the purpose of this wiki is to have fun and also create a coherent and consistent philosophy of a truly good software and technology.
